/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 1002 $
 * $Date: 2020-04-10 23:31:24 +0200 (Fri, 10 Apr 2020) $
 */
package at.lcm.bu21.general.dtypes.editor2.TDataModel;

import at.lcm.bu21.general.dtypes.TData;

/**
 * Representation of a TDataParentModel - type
 * 
 * @author Johannes Kaisinger
 */
public abstract class TDataParentModel extends TDataModel {

	/**
	 * Create object
	 * 
	 */
	public TDataParentModel() {
	}

	/**
	 * Replace a child
	 * 
	 * @param child
	 *            New value of child (TData)
	 * 
	 */
	public abstract void replaceChild(TData child);

	/**
	 * Returns the child name
	 * 
	 * @return Name of child
	 */
	public abstract String getChildName();
}
