import errno
import os
import stat


def check_dir_exists(directory):
    """
    
    Parameters
    ----------
    directory

    Returns
    -------

    """
    if not os.path.isdir(directory):
        raise FileNotFoundError("Directory " + directory + " does not exist!")


def handleRemoveReadonly(func, path, exc_info):
    """
    
    Error handling to delete read only folders/files with shutil.rmtree
    
    Examples
    --------
    import shutil
    shutil.rmtree(filename, ignore_errors=False, onerror=handleRemoveReadonly)
    
    Parameters
    ----------
    func
    path : the path of the file/folder that couldn't be removed
    exc_info

    Returns
    -------

    """

    os.chmod(path, stat.S_IWRITE)
    os.unlink(path)
