# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 1024 $
$LastChangedDate:: 2020-06-25 18:45:41 +0200#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import unittest
from lcm.tdata_interface.pytstring_interface import PyTStringInterface
from lcm.tdata_interface.tdata_testing import TDataTesting


class TestPyTStringInterface(unittest.TestCase):

    @unittest.skipIf(PyTStringInterface.getInterpreter() == 'python', 'needs jep interpreter to run')
    def test_convert_J2Py(self):
        jobj = TDataTesting.getTString()
        pyobj = PyTStringInterface.convert_J2Py(jobj)
        self.assertEqual(pyobj, TDataTesting.getPythonString())

    @unittest.skipIf(PyTStringInterface.getInterpreter() == 'python', 'needs jep interpreter to run')
    def test_convert_Py2J(self):
        pyobj = TDataTesting.getPythonString()
        jobj = PyTStringInterface.convert_Py2J(pyobj)
        self.assertEqual(jobj, TDataTesting.getTString())


if __name__ == "__main__":
    from lcm.utils.testing import runUnittest

    runUnittest(PyTStringInterface.getInterpreter())
