/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.optimizer.icons;

import java.net.URL;

/**
 * Toolbar Icons
 * 
 * @author Werner Koppelsttter
 */
public class IconOptimizerToolbar {

	/** Package of icons */
	private static final String pack = "/" + IconOptimizerToolbar.class.getPackage().getName().replace('.', '/') + "/";

	/** Icon for open wizard */
	public final static URL WIZARD = IconOptimizerToolbar.class.getResource(IconOptimizerToolbar.pack + "wizard.png");
	/** Icon for refresh project */
	public final static URL REFRESH = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_39.png");
	/** Icon for JobManager */
	public final static URL JOBMANAGER = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_44.png");
	/** Icon for run optimization */
	public final static URL RUN = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_59.png");
	/** Icon for finish optimization */
	public final static URL FINISH = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_10.png");
	/** Icon for stop optimization */
	public final static URL STOP = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_29.png");
	/** Icon for initialize buffer */
	public final static URL INIT_BUFFER = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_51.png");
	/** Icon for clear buffer */
	public final static URL CLEAR_BUFFER = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_49.png");
	/** Icon for create excel */
	public final static URL EXCEL = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_45.png");
	/** Icon for select optimum */
	public final static URL SELECT = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_46.png");
	/** Icon for add user plot */
	public final static URL ADD_PLOT = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_01.png");
	/** Icon for remove user plot */
	public final static URL REMOVE_PLOT = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_02.png");
	/** Icon for mapping create all */
	public final static URL MAPPING_CREATE_ALL = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_40.png");
	/** Icon for mapping optimize */
	public final static URL MAPPING_OPTIMIZE = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_60.png");
	/** Icon for select for sensitivity */
	public final static URL SENSITIVITY_SELECT = IconOptimizerToolbar.class
			.getResource(IconOptimizerToolbar.pack + "iconset1/001_38.png");

}
