/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9713 $
 * $Date: 2020-03-19 09:28:58 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.magopt.structure.rmi;

import java.rmi.RemoteException;

import at.lcm.bu21.magopt.structure.IParamJavaFunction;
import at.lcm.bu21.magopt.structure.ParamJavaFunction;
import at.lcm.bu21.magopt.structure.client.CParamJavaFunction;

/**
 * RMI adapter for java-function
 * 
 * @author Werner Koppelsttter
 */
public class RParamJavaFunction extends RParamFunction implements
		IParamJavaFunction {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	/** Java-function class */
	private ParamJavaFunction param;

	/**
	 * Create rmi adapter for java-function
	 * 
	 * @param param
	 *            Java function
	 * @throws RemoteException
	 */
	public RParamJavaFunction(ParamJavaFunction param) throws RemoteException {
		super(param);
		this.param = param;
	}

	@Override
	public void reset() {
		this.param.reset();
	}

	@Override
	public void refreshDependency() {
		this.param.refreshDependency();
	}

	@Override
	public CParamJavaFunction getClientImpl() {
		return new CParamJavaFunction(this);
	}
}
