/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.icons;

import javax.swing.ImageIcon;

/**
 * Toolbar Icons
 * 
 * @author Werner Koppelsttter
 */
public class IconToolbar {

	/** Icon for new project */
	public final static ImageIcon ICON_NEW = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/New.png"));
	/** Icon for open project */
	public final static ImageIcon ICON_OPEN = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Open.png"));
	/** Icon for save project */
	public final static ImageIcon ICON_SAVE = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Save.png"));
	/** Icon for cut */
	public final static ImageIcon ICON_CUT = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Cut.png"));
	/** Icon for copy */
	public final static ImageIcon ICON_COPY = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Copy.png"));
	/** Icon for paste */
	public final static ImageIcon ICON_PASTE = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Paste.png"));
	/** Icon for duplicate dataset */
	public final static ImageIcon ICON_DUPLICATE = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Duplicate.png"));
	/** Icon for reduce dataset */
	public final static ImageIcon ICON_REDUCE = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Reduce.png"));
	/** Icon for refresh project */
	public final static ImageIcon ICON_REFRESH = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Refresh.png"));
	/** Icon for check project */
	public final static ImageIcon ICON_CHECK = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Check.png"));
	/** Icon for regenerate project */
	public final static ImageIcon ICON_REGENERATE = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Regenerate.png"));
	/** Icon for move parameter down */
	public final static ImageIcon ICON_UP = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Up.png"));
	/** Icon for move parameter up */
	public final static ImageIcon ICON_DOWN = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Down.png"));
	/** Icon for show */
	public final static ImageIcon ICON_SHOW = new ImageIcon(
			IconToolbar.class.getResource("/magopt/gui/icons/Show.png"));

}
