/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.view;

import java.awt.BorderLayout;
import java.awt.Component;

import javax.swing.JScrollPane;

/**
 * 
 * @author Aigner Markus
 * 
 */
public abstract class ParamBaseScroll extends ParamBaseNoScroll {
	private static final long serialVersionUID = 1L;

	JScrollPane scroll;

	public ParamBaseScroll() {
		super();
		this.setLayout(new BorderLayout());
		this.scroll = new JScrollPane();
		this.add(this.scroll, BorderLayout.CENTER);
	}

	public JScrollPane getScroll() {
		return this.scroll;
	}

	@Override
	public Component add(Component comp) {
		this.scroll.setViewportView(comp);
		return comp;
	}

	@Override
	public void removeAll() {
		this.scroll.setViewportView(null);
	}
}
