/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.utils;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * Interface for reading/writing from mop-file
 * 
 * @author gweidenholzer
 */
public interface MopAccess {

	/**
	 * Read from given InputStream
	 * 
	 * @param is
	 * @throws Exception
	 */
	public void readStream(InputStream is) throws Exception;

	/**
	 * Write to given OutputStream
	 * 
	 * @param os
	 * @throws Exception
	 */
	public void writeStream(OutputStream os) throws Exception;

}
