#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 9469 $
$LastChangedDate:: 2019-11-26 12:53:44 +0100#$

This file is part of SyMSpace.

Copyright (c) 2019, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from symspace.console.script_utils import ScriptUtils
from symspace.wrapper.symwrapper import SymContainer, SymMaterial, SymFunction
from symspace.utils.comparison import ContainerComparison


def main(project, parameter):
    g = globals()

    if 'CurObject' not in g:
        raise Exception('Set reference container as CurObject (Ctrl->B)\n\n'
                        'The currently selected container in the symspace-tree will be used as second container')

    cur_obj = g['CurObject']

    if not isinstance(parameter, SymContainer) \
            and not isinstance(parameter, SymFunction) \
            and not isinstance(parameter, SymMaterial):
        raise Exception('Parameter must be a subclass of SymContainer!')

    cmp = ContainerComparison.fromSymContainer(parameter, cur_obj)
    cmp.showHTMLTable()


if __name__ == '__main__':
    """This script compares the results of two SymContainers

        Set reference container as CurObject (Ctrl->B)

        The currently selected container in the symspace-tree will be used as second container
    """
    ScriptUtils.runWithParams(main, locals())
