# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 8937 $
$LastChangedDate:: 2019-02-18 16:48:16 +0100#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
import unittest
import numpy as np
from symspace.wrapper.symplot import SymPlot2Area, SymPlot2Bar, SymPlot2ContourFilled, SymPlot2Hist, \
    SymPlot2Line, SymPlot2Polar, SymPlot2Scatter, SymPlot2Spline, \
    SymPlot3ContourFilled, SymPlot3Surface, SymPlot3Scatter


class TestSymPlot(unittest.TestCase):

    @unittest.skip
    def test_getPanel(self):
        self.fail()

    @unittest.skip
    def test_clearSignals(self):
        self.fail()

    @unittest.skip
    def test_getColorDirection(self):
        self.fail()

    @unittest.skip
    def test_getColorLevels(self):
        self.fail()

    @unittest.skip
    def test_getNumSignals(self):
        self.fail()

    @unittest.skip
    def test_show(self):
        self.fail()

    @unittest.skip
    def test_getTitle(self):
        self.fail()

    @unittest.skip
    def test_setTitle(self):
        self.fail()

    @unittest.skip
    def test_reset(self):
        self.fail()

    @unittest.skip
    def test_getXLabel(self):
        self.fail()

    @unittest.skip
    def test_setXLabel(self):
        self.fail()

    @unittest.skip
    def test_getYLabel(self):
        self.fail()

    @unittest.skip
    def test_setYLabel(self):
        self.fail()

    @unittest.skip
    def test_getZLabel(self):
        self.fail()

    @unittest.skip
    def test_setZLabel(self):
        self.fail()

    @unittest.skip
    def test_save(self):
        self.fail()

    @unittest.skip
    def test_getSignal(self):
        self.fail()

    @unittest.skip
    def test_removeSignal(self):
        self.fail()


# class TestSymSubPlot(unittest.TestCase):
#
#     @unittest.skip
#     def test__init__(self):
#         self.fail()

#
# class TestSymPlot2Hist(unittest.TestCase):
#
#     def test__init__(self):
#         x1 = np.arange(0, 10, 1)
#         y1 = np.sin(x1)
#
#         hist2D = SymPlot2Hist()
#         hist2D.addSignal('hist2D', x1, y1)
#         hist2D.setTitle('hist2D')
#         # hist2D.show()
#
#
# class TestSymPlot2Area(unittest.TestCase):
#
#     def test__init__(self):
#         x1 = np.arange(0, 10, 1)
#         y1 = np.sin(x1)
#
#         area2D = SymPlot2Area()
#         area2D.addSignal('area2D', x1, y1)
#         area2D.setTitle('area2D')
#         # area2D.show()
#
#
# class TestSymPlot2ContourFilled(unittest.TestCase):
#
#     def test__init__(self):
#         x3d = np.array([0, 3])
#         y3d = np.array([0, 2])
#
#         contour_filled2D = SymPlot2ContourFilled()
#         contour_filled2D.addSignal('contour_filled2D', x3d, y3d)
#         contour_filled2D.setTitle('contour_filled2D')
#         # contour_filled2D.show()
#
#
# class TestSymPlot2Line(unittest.TestCase):
#
#     def test__init__(self):
#         x1 = np.arange(0, 10, 1)
#         y1 = np.sin(x1)
#
#         line2D = SymPlot2Line()
#         line2D.addSignal('line2D', x1, y1)
#         line2D.setTitle('line2D')
#         # line2D.show()
#
#
# class TestSymPlot2Bar(unittest.TestCase):
#
#     def test__init__(self):
#         x1 = np.arange(0, 10, 1)
#         y1 = np.sin(x1)
#
#         bar2D = SymPlot2Bar()
#         bar2D.addSignal('bar2D', x1, y1)
#         bar2D.setTitle('bar2D')
#         # bar2D.show()
#
#
# class TestSymPlot2Scatter(unittest.TestCase):
#
#     def test__init__(self):
#         x1 = np.arange(0, 10, 1)
#         y1 = np.sin(x1)
#
#         scatter2D = SymPlot2Scatter()
#         scatter2D.addSignal('scatter2D', x1, y1)
#         scatter2D.setTitle('scatter2D')
#         # scatter2D.show()
#
#
# class TestSymPlot2Polar(unittest.TestCase):
#
#     def test__init__(self):
#         x2 = np.linspace(0, 2 * np.pi)
#         y2 = np.sin(x2)
#
#         polar2D = SymPlot2Polar()
#         polar2D.addSignal('polar2D', x2, y2)
#         polar2D.setTitle('polar2D')
#         # polar2D.show()
#
#
# class TestSymPlot2Spline(unittest.TestCase):
#
#     def test__init__(self):
#         x1 = np.arange(0, 10, 1)
#         y1 = np.sin(x1)
#
#         spline2D = SymPlot2Spline()
#         spline2D.addSignal('spline2D', x1, y1)
#         spline2D.setTitle('spline2D')
#         # spline2D.show()
#
#
# class TestSymPlot3Scatter(unittest.TestCase):
#
#     def test__init__(self):
#         x3d = np.array([0, 3])
#         y3d = np.array([0, 2])
#         z3d = np.array([[0, 2], [1, 2]])
#
#         scatter3D = SymPlot3Scatter()
#         scatter3D.addSignal('scatter3D', x3d, y3d, z3d)
#         scatter3D.setTitle('scatter3D')
#         scatter3D.setViewPoint(0, 0, 0)
#         # scatter3D.show()
#
#
# class TestSymPlot3Surface(unittest.TestCase):
#
#     def test__init__(self):
#         x3d = np.array([0, 3])
#         y3d = np.array([0, 2])
#         z3d = np.array([[0, 2], [1, 2]])
#
#         surface3D = SymPlot3Surface()
#         surface3D.addSignal('surface3D', x3d, y3d, z3d)
#         surface3D.setTitle('surface3D')
#         surface3D.setViewPoint(0, 0, 0)
#         # surface3D.show()
#
#
# class TestSymPlot3ContourFilled(unittest.TestCase):
#
#     def test__init__(self):
#         x3d = np.array([0, 3])
#         y3d = np.array([0, 2])
#         z3d = np.array([[0, 2], [1, 2]])
#
#         contour_filled3D = SymPlot3ContourFilled()
#         contour_filled3D.addSignal('contour_filled3D', x3d, y3d, z3d)
#         contour_filled3D.setTitle('contour_filled3D')
#         contour_filled3D.setViewPoint(0, 0, 0)
#         contour_filled3D.show()
